summaryrefslogtreecommitdiff
path: root/dev-python/sphinxtogithub
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /dev-python/sphinxtogithub
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'dev-python/sphinxtogithub')
-rw-r--r--dev-python/sphinxtogithub/Manifest3
-rw-r--r--dev-python/sphinxtogithub/metadata.xml12
-rw-r--r--dev-python/sphinxtogithub/sphinxtogithub-1.1.0.ebuild32
3 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/sphinxtogithub/Manifest b/dev-python/sphinxtogithub/Manifest
new file mode 100644
index 000000000000..0324f937441e
--- /dev/null
+++ b/dev-python/sphinxtogithub/Manifest
@@ -0,0 +1,3 @@
+DIST sphinxtogithub-1.1.0.tar.gz 11103 BLAKE2B 58cf7209da147df161aaf447131a408a9f2a9e9b8673e95a11fd2f8f6e11ec71d2904a2cd077c460088a6889515461a419627ff08562eda4101148c9f0118fd4 SHA512 190c57535c58f86a84a3e80bde61f99d35b8d3826d18d77d9eaf857be853c84b35e49cbb517fb13d8993934757892cbda4a820ecd24f3e5ff2908e814e53d664
+EBUILD sphinxtogithub-1.1.0.ebuild 769 BLAKE2B 629e8b808058b15de4aed5ed38f6e6bac227b9546a6b46ef246b1438af52f3d31143b6cfba6d914db90caf256f3fffc41d3cad71672ca056ef3a2ea1c5310434 SHA512 657ec05028781ff1c460e9ae0913f59562bcc6ccfaf02dd587284e5231d6bebc17b82eb5101cdc3608a22ef4437bfb3ab695d0cd8911db1c1259c8a634c15e44
+MISC metadata.xml 398 BLAKE2B a668d73ec1bf324753827d3542d37faf1fda5516f0fa13774ede87ffcecc9f08ca75f248f036a218a75036fabd1eaef2bddb58890079e0f7d9a046605d777332 SHA512 e15d63d81faf57bee3099a25418ec787c0e89b68e12a217d1748156f43598b56b5f870916c14728bf3a8749f68cb9cc8f3c6c8041639407642bad9bf7cea6d86
diff --git a/dev-python/sphinxtogithub/metadata.xml b/dev-python/sphinxtogithub/metadata.xml
new file mode 100644
index 000000000000..a64594a5468d
--- /dev/null
+++ b/dev-python/sphinxtogithub/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">sphinxtogithub</remote-id>
+ <remote-id type="github">michaeljones/sphinx-to-github</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/sphinxtogithub/sphinxtogithub-1.1.0.ebuild b/dev-python/sphinxtogithub/sphinxtogithub-1.1.0.ebuild
new file mode 100644
index 000000000000..30fe193c91a1
--- /dev/null
+++ b/dev-python/sphinxtogithub/sphinxtogithub-1.1.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A python script for preparing the html output of Sphinx documentation for github pages"
+HOMEPAGE="https://github.com/michaeljones/sphinx-to-github/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="amd64 arm x86"
+
+IUSE=""
+
+RDEPEND=">=dev-python/sphinx-1.1[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # Req'd to avoid file collisions
+ sed -e s":find_packages():find_packages(exclude=['tests']):" -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}